<?php
define('PROTECTOR', 1);

$headmod = 'gprof';//фикс. места

$textl='Гильдия профессий';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');


switch($_GET[mod]){

default:

echo "<div class='event'>Гильдия профессий - уникальное место, где Вы можете выучить профессии, к которым лежит Ваше сердце<br>";
echo "<a href=\"profa.php?mod=rudok\"> Рудокоп</a> <img src='pic/up.png'/> 5<br>";
//echo "<a href=\"profa.php?mod=hfarmer\"> Фермер</a> <img src='pic/up.png'/> 5<br>";
echo "<a href=\"profa.php?mod=ijener\"> Кузнец</a> <img src='pic/up.png'/> 3<br>";
echo "<a href=\"profa.php?mod=him\"> Алхимик</a> <img src='pic/up.png'/> 3<br>";

$req = mysql_query("SELECT * FROM `professiya` where `usr`='$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
if(empty($mag[log])){
echo"Сейчас ваша профессия - <font color=\"red\">Рудокоп</font>";
echo" - <a href=\"profa.php?mod=del_rud\">Удалить профессию</a><br/>";
}}}

$req = mysql_query("SELECT * FROM `Prof_himik` where `usr`='$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
if(empty($mag[log])){
echo"Сейчас ваша профессия - <font color=\"red\">Алхимик</font>";
echo" - <a href=\"profa.php?mod=delhim\">Удалить профессию</a><br/>";
}}}


$req = mysql_query("SELECT * FROM `Proffafermer` where `usr`='$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
if(empty($mag[log])){
echo"Сейчас ваша профессия - <font color=\"red\">Фермер</font>";
echo" - <a href=\"profa.php?mod=del_hfarmer\">Удалить профессию</a><br/>";
}}}

$req = mysql_query("SELECT * FROM `Proffa_inger` where `usr`='$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
if(empty($mag[log])){
echo"Сейчас ваша профессия - <font color=\"red\">Кузнец</font>";
echo" - <a href=\"profa.php?mod=del\">Удалить профессию</a><br/>";
}}}
echo"</div>";

break;

case'del':
$req = mysql_query("SELECT * FROM `Proffa_inger` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"У вас нет профессии!";
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;}

mysql_query("DELETE FROM `Proffa_inger` WHERE `usr` = '$log'");
echo "Вы успешно удалили профессию - Кузнеца!";
echo "<br><a href=\"profa.php?\"> Вернуться</a>";

break;

case'delhim':
$req = mysql_query("SELECT * FROM `Prof_himik` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"У вас нет профессии!";
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;}

mysql_query("DELETE FROM `Prof_himik` WHERE `usr` = '$log'");
echo "Вы успешно удалили профессию - Алхимика!";
echo "<br><a href=\"profa.php?\"> Вернуться</a>";


break;

case'del_rud':
$req = mysql_query("SELECT * FROM `professiya` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"У вас нет профессии!";
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;}

mysql_query("DELETE FROM `professiya` WHERE `usr` = '$log'");
echo "Вы успешно удалили профессию - Рудокоп!<br/>";
echo "<a href=\"profa.php?\"> Вернуться</a>";



break;

case'del_hfarmer':
$req = mysql_query("SELECT * FROM `Proffafermer` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"У вас нет профессии!";
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;}

mysql_query("DELETE FROM `Proffafermer` WHERE `usr` = '$log'");
echo "Вы успешно удалили профессию - Фермера!<br/>";
echo "<a href=\"profa.php?\"> Вернуться</a>";



$req = mysql_query("SELECT * FROM `Proffa_inger` where `usr`='$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
if(empty($mag[log])){
echo"Сейчас ваша профессия - <font color=\"lime\">Кузнец</font>";
echo"<a href=\"profa.php?mod=del\">Удалить профессию</a><br/>";
}}}
break;


case'ijener':

echo "Кузнецы - профессионалы своего дела. Используя рецепты изготовления, Кузнецы всегда являются первоклассными поставщиками оружия. Благодаря навыкам, Кузнецы получают больший шанс при заточке.";
echo "<br/><a href=\"profa.php?mod=ijener_ok\"> Получить профессию</a> <img src='pic/main/almaz.png'/>40 <br>";
echo "<a href=\"profa.php?\"> Вернуться</a>";
break;

case'ijener_ok':
$req = mysql_query("SELECT * FROM `professiya` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Рудокопа!';
echo "<br><a href=\"profa.php?\"> Вернуться</a><br>";
include($path.'files/down.php');
exit;
}


$req = mysql_query("SELECT * FROM `Proffafermer` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Фермера!';
echo "<br><a href=\"proffa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `Proffa_inger` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Кузнеца!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}


$req = mysql_query("SELECT * FROM `Proffafermer` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Фермера!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `Prof_himik` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Алхимика!';
echo "<br><a href=\"proffa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}

if($udata[lvl]<"3"){
echo'Профессия Кузнеца доступна с 3 уровня!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}
if($udata['almaz']<40){
echo'У вас не хватает алмазов!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}


$udata[gold]=$udata[almaz]-40;//mony
mysql_query("UPDATE `users` SET `prof` = 'Кузнец' WHERE `usr` = '$log'");
mysql_query("UPDATE `users` SET `almaz` = '$udata[gold]' WHERE `usr` = '$log'");

mysql_query("INSERT INTO
        `Proffa_inger` SET
        `usr` = '$log'");

echo "Вы успешно получили профессию Кузнеца<br>";
echo "<br><a href=\"profa.php?\"> Вернуться</a>";



break;

case'him':

echo "Алхимики очень способные люди. Поговаривают, что алхимики обладают умением варить зелья жизни и магии.";
echo "<br/><a href=\"profa.php?mod=him_ok\"> Получить профессию</a> <img src='pic/main/almaz.png'/>40<br>";
echo "<a href=\"profa.php?\"> Вернуться</a>";
break;

case'him_ok':
$req = mysql_query("SELECT * FROM `professiya` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Рудокопа!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}


$req = mysql_query("SELECT * FROM `Proffafermer` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Фермера!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `Proffa_inger` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Кузнеца!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `Prof_himik` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Алхимика!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}

if($udata[lvl]<"3"){
echo'Профессия Алхимика доступна с 3 Уровня!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}
if($udata['almaz']<40){
echo'У вас не хватает алмазов!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}


$udata[gold]=$udata[almaz]-40;//mony

mysql_query("UPDATE `users` SET `almaz` = '$udata[gold]' WHERE `usr` = '$log'");


mysql_query("INSERT INTO
        `Prof_himik` SET
        `usr` = '$log'");
                    mysql_query("UPDATE `users` SET `prof` = 'Алхимик' WHERE `usr` = '$log'");

echo "Вы успешно получили профессию Алхимика<br>";
echo "<a href=\"profa.php?\"> Вернуться</a>";

break;

case'hfarmer':

echo "Профессия фермера в разработке";

echo "<a href=\"profa.php?mod=hfarmer_ok\"> Получить профессию</a> <img src='pic/main/almaz.png'/>40<br>";
echo "<a href=\"profa.php?\"> Вернуться</a>";
break;

case'hfarmer_ok':
$req = mysql_query("SELECT * FROM `professiya` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Рудокопа!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}


$req = mysql_query("SELECT * FROM `Proffafermer` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Фермера!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `Proffa_inger` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Кузнеца!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}


$req = mysql_query("SELECT * FROM `Proffafermer` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Фермера!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `Prof_himik` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Алхимика!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}

if($udata[lvl]<"5"){
echo'Профессия Фермера доступна с 5 Уровня!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}
if($udata['almaz']<40){
echo'У вас не хватает алмазов!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}


$udata[gold]=$udata[almaz]-40;//mony

mysql_query("UPDATE `users` SET `almaz` = '$udata[gold]' WHERE `usr` = '$log'");

mysql_query("UPDATE `users` SET `prof` = 'Фермер' WHERE `usr` = '$log'");

mysql_query("INSERT INTO
        `Proffafermer`,`bank` SET
        `usr` = '$log'");


echo "Вы успешно получили профессию Фермера<br>";
echo "<a href=\"profa.php?\"> Вернуться</a>";





break;

case'rudok':

echo "Рудокопы - кропотливые работники шахт. Добывая Титаниум, Рудокопы являются огромной важной частью Хаоса. Благодаря своим навыкам, Рудокопы получают возможность получить больше ресурсов в боях с монстрами, благодаря повышенному шансу выпадения ресурсов.";
echo "<br/><a href=\"profa.php?mod=rudok_ok\"> Получить профессию</a> <img src='pic/main/almaz.png'/>40";
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
break;

case'rudok_ok':
$req = mysql_query("SELECT * FROM `professiya` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Рудокопа!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}


$req = mysql_query("SELECT * FROM `Proffafermer` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Фермера!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `Proffa_inger` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Кузнеца!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}



$req = mysql_query("SELECT * FROM `Proffafermer` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Фермера!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `Prof_himik` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть профессия Алхимика!';
echo "<br> <a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}

if($udata[lvl]<"5"){
echo'Профессия Рудокопа доступна с 5 Уровня!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}
if($udata['almaz']<40){
echo'У вас не хватает алмазов!';
echo "<br><a href=\"profa.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
}


$udata[gold]=$udata[almaz]-40;//mony

mysql_query("UPDATE `users` SET `almaz` = '$udata[gold]' WHERE `usr` = '$log'");

mysql_query("UPDATE `users` SET `prof` = 'Рудокоп' WHERE `usr` = '$log'");

mysql_query("INSERT INTO
        `professiya` SET
        `usr` = '$log'");

echo "Вы успешно получили профессию Рудокопа<br>";
echo "<a href=\"profa.php?\"> Вернуться</a>";


}
include($path.'files/down.php');
?>